Subject: bug#69773: 29.2; Emacs Crashes on Startup Sometimes

From: Stephen Molitor <[email-masked]>
Date: Thu, 14 Mar 2024 11:15:00 -0500

Thanks for the response. Yes, I do see this warning on successful startup:

> ⛔ Warning (initialization): An error occurred while loading ‘/Users/stephenmolitor/.emacs.d/init.el’:

> error: Loading file /Users/stephenmolitor/.emacs.d/config/sm-package-lint.el failed to provide feature ‘sm-package-lint’

That error is legitimate, I did forget the provided. I’ve fixed that and will see if that makes the crash goes away. It’s inconsistent though, but that change does seem to roughly coincide with when I first started noticing the crashing.

I am doing something unusual with the composition function table at startup:

    (defvar sm-safe-table "[-,;A-Z_a-z]+")
    (set-char-table-range composition-function-table t `([,sm-safe-table 0 font-shape-gstring]))

I’m using a font (Commit Mono) that does “smart kerning”, to shift letters around a bit to even things out. I’ve noticed that it’s pretty touchy though - certain characters will cause the layout to go crazy. So that seems a little dicey to me.

Thanks again,

Steve

> On Mar 13, 2024, at 10:03 AM, Gerd Möllmann <[email-masked]> wrote:
> 
> Stephen Molitor via "Bug reports for GNU Emacs, the Swiss army knife of
> text editors" <[email-masked]> writes:
> 
>  Thread 0 Crashed::  Dispatch queue: com.apple.main-thread
>> 9   Emacs                         	       0x1042a93f8 handle_sigsegv + 64
>> 10  libsystem_platform.dylib      	       0x190e9da24 _sigtramp + 56
>> 11  Emacs                         	       0x10433190c font_find_for_lface + 1824
>> 12  Emacs                         	       0x10433190c font_find_for_lface + 1824
>> 13  Emacs                         	       0x1043abb90 fontset_find_font + 2584
>> 14  Emacs                         	       0x1043a7954 fontset_font + 784
>> 15  Emacs                         	       0x1043a7594 face_for_char + 428
>> 16  Emacs                         	       0x1043355b8 Finternal_char_font + 328
>> 17  Emacs                         	       0x10435f770 exec_byte_code + 3248
>> 18  Emacs                         	       0x104312afc Ffuncall + 396
>> 19  Emacs                         	       0x104315d00 Fapply + 1004
>> 20  Emacs                         	       0x10435f770 exec_byte_code + 3248
>> 21  Emacs                         	       0x104312afc Ffuncall + 396
>> 22  icons-eafe82eb-789d397a.eln   	       0x11806a1d8 F69636f6e2d737472696e67_icon_string_0 + 536
>> 23  Emacs                         	       0x104312afc Ffuncall + 396
>> 24  warnings-28e75f4d-25346206.eln	       0x11802f708 F646973706c61792d7761726e696e67_display_warning_0 + 2008
>> 25  Emacs                         	       0x104312afc Ffuncall + 396
>> 26  Emacs                         	       0x104315d00 Fapply + 1004
>> 27  subr-13adf6a6-bfb9f448.eln    	       0x1066f2cc8 F646973706c61792d64656c617965642d7761726e696e6773_display_delayed_warnings_0 + 136
> 
> Thanks for the report.
> 
> Looks like Emacs wants to display a (delayed) warning, but has some
> unknown problem in the font department, but that's about what I can see.
> 
> Do you see a warning when Emacs doesn't crash?